Bug 1489015 - rhui-installer does not handle replacing/updating of local certificates for RHUI
Summary: rhui-installer does not handle replacing/updating of local certificates for RHUI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Tools
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: RHUI Bug List
QA Contact: Vratislav Hutsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 15:15 UTC by Craig Donnelly
Modified: 2021-03-11 15:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-16 13:21:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Craig Donnelly 2017-09-06 15:15:03 UTC
Description of problem:
When running `rhui-installer` with --certs-update-all, the result of the successful run leaves the RHUA in a broken state.

Some certificates are replaced and the rhui-manager command will fail to work if the user cert has expired already.

Version-Release number of selected component (if applicable):
rhui-installer-3.0.0-1.el7ui.noarch

How reproducible:
100%

Steps to Reproduce:
1. Run `rhui-installer --certs-update-all`.
2. Remove /root/.rhui/<hostname>/user.crt
3. Attempt to use rhui-manager
4. Verify certs no longer match/verify with:
# for i in $(ls -1 /root/ssl-build/rhui-default-ca.crt*); do openssl verify -CAfile $i /etc/pki/rhui/certs/apache.crt ; done

Actual results:
RHUA is left in a broken state with incorrect certificates

Expected results:
rhui-installer should correctly regenerate/replace all needed certs for a working environment.

Additional info:
Entire paste of all actions taken are here: http://rx-paste.usersys.redhat.com/view/raw/a9b82597


Note You need to log in before you can comment on or make changes to this bug.